Function
convertSetOfPatternsToProfile
Converts a set of sequence patterns into a profile.
convertSetOfPatternsToProfile(profile,l_mers,pseudocount_mode)
Include Headers
seqan/find_motif.h
Parameters

profile | A StringSet of frequency distributions. Types: StringSet
l_mers | The set of sequence patterns. Types: StringSet
pseudocount_mode | The Pseudocount object for determining the pseudocount method. Types: Pseudocount

Remarks
This function is used, for example, in the refinement step of the PROJECTION algorithm to convert the collection of l-mers inside the corresponding buckets into a profile.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46